Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP

Loading…

Error: require.paths is removed #23

Closed
benjaminmcdonald opened this Issue · 4 comments

6 participants

@benjaminmcdonald

Running
# Paths
srcPath: 'src' # String

# Checking
checkScripts: true # Array or true or false
checkStyles: true # Array or true or false
jshintOptions: false # Object or false
csslintOptions: false # Object or false

Error: require.paths is removed. Use node_modules folders, or the NODE_PATH environment variable instead.

npm -v
1.0.106

node -v
v0.6.1

coffee -v
CoffeeScript version 1.2.0

export NODE_PATH=/usr/local/lib/node:/usr/local/lib/node_modules

@bradphelan

Offending line of code is

----------------------
/node_modules/buildr/node_modules/less-bal/lib/less/index.js
----------------------
  4  
  5 require.paths.unshift(path.join(__dirname, '..'));
  6  
@cmadsen

+1

@dlom
node -v
v0.6.8

Try global.module.paths instead of require.paths

@marcokrikke

Still not working here, dependency less-bal seems outdated.

I manually replaced the files in ~/node_modules/buildr/node_modules/less-bal/lib/less/ with the latest files from https://github.com/cloudhead/less.js/tree/master/lib/less as a dirty fix.

Alexis Sellier (@cloudhead) seems to be the maintainer of this npm package.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.